import SpriteSheet from "./SpriteSheet.js";

export default {
	tiles: new SpriteSheet("assets/tiles.png", 32, 32, 1)
		.defineTile("ground", 0, 0)

		.defineTile("grass", 0, 1)
		.defineTile("grass-l", 1, 1)
		.defineTile("grass-r", 2, 1)
		.defineTile("grass-lr", 3, 1)

		.defineTile("platform", 0, 2)
		.defineTile("platform-l", 1, 2)
		.defineTile("platform-r", 2, 2)
		.defineTile("platform-lr", 3, 2),

	entities: new SpriteSheet("assets/entities.png", 19, 32, 2)
		.defineTile("player-head", 0, 0),
}
